package com.yeejoin.amos.patrol.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name="p_static_week")
public class StaticWeek extends BasicEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 未完成
     */
    @Column(name="not_start")
    private int notStart;

    /**
     * 已完成有风险
     */
    @Column(name="risk_end")
    private int riskEnd;
    /**
     * 已完成无风险
     */
    @Column(name="no_risk_end")
    private int noRiskEnd;

    /**
     * 已超时
     */
    @Column(name="time_out")
    private int timeOut;
    /**
     * 检查时间
     */
    @Column(name="check_time")
    private String checkTime;


    /**
     * 单位code
     */
    @Column(name="org_code")
    private String orgCode;

    /**
     * 单位信用代码
     */
    @Column(name="unit_code")
    private String unitCode;

    /**
     * 开始时间
     */
    @Column(name="begin_time")
    private Date beginTime;

    /**
     * 结束时间
     */
    @Column(name="end_time")
    private Date endTime;

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }


    public int getNotStart() {
        return notStart;
    }

    public void setNotStart(int notStart) {
        this.notStart = notStart;
    }

    public int getRiskEnd() {
        return riskEnd;
    }

    public void setRiskEnd(int riskEnd) {
        this.riskEnd = riskEnd;
    }

    public int getNoRiskEnd() {
        return noRiskEnd;
    }

    public void setNoRiskEnd(int noRiskEnd) {
        this.noRiskEnd = noRiskEnd;
    }

    public int getTimeOut() {
        return timeOut;
    }

    public void setTimeOut(int timeOut) {
        this.timeOut = timeOut;
    }

    public String getCheckTime() {
        return checkTime;
    }

    public void setCheckTime(String checkTime) {
        this.checkTime = checkTime;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getUnitCode() {
        return unitCode;
    }

    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode;
    }
}
